# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/luigi-2.8.7-python_3.6-on-linux_canary, last modified Thu Aug  1 18:56:20 2019
# ------------------------------------------------

package:
    name: luigi
    version: 2.8.7
source:
    sha256: 9bf85e36d7090128935ad4070b54f12d036f646e3b66c53c5c96a415d56dbb38
    url: https://github.com/spotify/luigi/archive/2.8.7.tar.gz
build:
    entry_points:
        - luigi = luigi.cmdline:luigi_run
        - luigi-deps = luigi.tools.deps:main
        - luigi-deps-tree = luigi.tools.deps_tree:main
        - luigi-grep = luigi.tools.luigi_grep:main
        - luigid = luigi.cmdline:luigid
    number: '0'
    script: /tmp/build/80754af9/luigi_1564685928264/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
        -m pip install . --no-deps -vv
    string: py36_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2019.5.15 0
        - certifi 2019.6.16 py36_1
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1c h7b6447c_1
        - pip 19.1.1 py36_0
        - python 3.6.9 h265db76_0
        - readline 7.0 h7b6447c_5
        - setuptools 41.0.1 py36_0
        - sqlite 3.29.0 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.33.4 py36_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - python >=3.6,<3.7.0a0
        - python-daemon <3.0
        - python-dateutil >=2.7.5,<3
        - setuptools
        - tornado >=4.0,<6
    run_constrained:
        - prometheus_client ==0.5.0
        - toml <2.0.0
test:
    commands:
        - luigi --help
        - luigid --help
        - luigi-grep --help
        - luigi-deps --help
        - luigi-deps-tree --help
    imports:
        - luigi
        - luigi.contrib
        - luigi.contrib.hdfs
        - luigi.scheduler
        - luigi.tools
about:
    description: 'Luigi handles dependency resolution, workflow management, visualization,

        handling failures, command line integration, and much more. It also comes

        with Hadoop support built in.

        '
    dev_url: https://github.com/spotify/luigi
    doc_url: https://luigi.readthedocs.io/en/stable/
    home: https://github.com/spotify/luigi
    license: Apache-2.0
    license_family: Apache
    license_file: LICENSE
    summary: Workflow mgmgt + task scheduling + dependency resolution.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - kwilcox
        - nehaljwani
        - ocefpaf
